BANK KALTENG - Feature #3620

Penambahan History Assignment [PMS Goal Setting]
05/19/2025 12:29 PM - haykal haykal

Status: QA Test Start date: 05/19/2025
Priority: High Due date: 05/28/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 14.00 hours
Description

Dear Azid,

Ingin ditambahkan History Assignment di form ESS nya. Untk settingan sudah saya tambahkan di PCMWFDEFTABLEBODY dengan
TableName PHRPAOOO2ESS.

Di bagian History Assignment itu inginnya otomatis mengeload data PHRPA0002 (Assignment) si karyawan (requester)
Tolong dibuat seperti itu ya.
Menu Path: My Workplace > Request > Performance Management > Performance Goal Setting

Port: http://remote.minovais.com:61133/
DB: MinovaES_BankKalteng_BaseServerProd (di 1452)

Terimakasih.

History

#1 - 05/19/2025 12:29 PM - haykal haykal
- File Button Add dihilangkan saja.png added

Untk button Add nya tlg dihilangkan saja ya Kak Azid.

Makasih.

#2 - 05/19/2025 02:34 PM - haykal haykal

- Description updated

#3 - 05/19/2025 03:24 PM - Kezia Pawitra Yulianti
- Due date set to 05/23/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#4 - 05/22/2025 02:27 PM - M Azid Wahyudi

- File clipboard-202505221424-knror.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah ya
package :
bizproc (afterrender)
custparam (WFPMSHISTORYASSIGN)

makasih

#5 - 05/23/2025 02:17 PM - haykal haykal
- File Button Copy tulisannya diganti menjadi Select.png added
- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Kezia Pawitra Yulianti

Dear Azid,

Untk skenario nya seperti yang sudah kita diskusikan tadi, jadi user memilih Appraisal Period dulu, baru data History Pengajuan dan History
Assignment muncul yang relevan sesuai dengan Appraisal Period yang dipilih.

Task Developer:

1. Pop-Up Box. Memunculkan Pop-Up Box ketika user membuka form ESS Goal Setting dengan message kurang lebih seperti berikut "Silahkan
memilih Appraisal Period terlebih dahulu”

2. Kalau bisa button Copy di History Assignment tulisannya diganti menjadi "Select"

3. Membuat logic dan development sesuai skenario yang saya jelaskan di bawah.

Yang user lakukan (with no history):

1. Mengeklik menu ESS Performance Goal Setting (membuka form), lalu muncul Pop-Up Box dan user klik OK. Bagian History Pengajuan dan
History Assignment kosong (blank).

2. User memilih Appraisal Period. Dan bagian History Pengajuan dan History Assignment otomatis mengeload data yang relevan sesuai dengan
Appraisal Period yang dipilih.

[Note: field Period From dan Period To dibikin readonly]

3. User mengeklik salah satu data di History Assignment (sesuai dengan periode PMS yg ingin dia ajukan) lalu mengeklik button Select.

4. Field Period From dan Period To otomatis terisi berdasarkan data History Assignment yg diklik tadi.

5. User mengisi KPI, Competency, dll lalu klik Submit.

Apabila sudah punya history pengajuan Goal Setting (January-December) [case kalau karyawan mutasi]:

1. Mengeklik menu ESS Performance Goal Setting (membuka form), lalu muncul Pop-Up Box dan user klik OK. Bagian History Pengajuan dan
History Assignment kosong (blank).

2. User memilih Appraisal Period. Dan bagian History Pengajuan dan History Assignment otomatis mengeload data yang relevan sesuai dengan
Appraisal Period yang dipilih.

[Note: field Period From dan Period To dibikin readonly]

3. User mengeklik data Goal Setting di bagian History Pengajuan lalu klik button Copy

[Field Period From akan terisi January dan Period To akan terisi December

dan akan mengeload KPI beserta Competency]

4. User mengeklik salah satu data di bagian History Assignment sesuai dengan periode yg ingin dia ajukan PMS nya, dan mengeklik button Select
[Field Period From dan Period To akan otomatis berubah sesuai dengan pilihan user di History Assignment]

5. User mengescroll kebawah dan menambah/mengedit data KPI dan Competency apabila diperlukan, lalu klik Submit

Note: Hanya di case ini (apabila terdapat data History Goal Setting January-December) user perlu mengeklik dua button (Copy di bagian History
Pengajuan dan Select di bagian History Assignment). Selain case ini user hanya perlu mengeklik button Select di bagian History Assignment saja.

Another note: (Sesuai dengan development yang telah dilakukan) apabila di bagian History Pengajuan user mengeklik data yang bukan
Januari-December maka button Copy menjadi tidak berfungsi.

Terimakasih.

07/02/2025 2/5



#6 - 05/23/2025 02:42 PM - haykal haykal

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

#7 - 05/27/2025 10:24 AM - Kezia Pawitra Yulianti
- Due date changed from 05/23/2025 to 05/28/2025

#8 - 06/05/2025 04:29 PM - haykal haykal

Dear Azid, ada revisi ya.

Untk case tidak ada History Pengajuan di tahun tersebut (misal dia bikin pengajuan yang paling pertama di tahun 2025 [bukan case mutasi]), fungsi
klik button Select di History Assignment tidak perlu digunakan.

Jadi skenarionya kurang lebih seperti berikut:

1. Pilih Appraisal Period (misal 2025)

2. System mengecek apakah karyawan sudah punya data history pengajuan di tahun 2025

3. Kalau belum, Period From dan Period To otomatis terisi Januari - Desember

4. Kalau sudah, Period From dan Period To tetap kosong. Dan user proceed untk mengeklik History Assignment dan klik button Select untk
menentukan Period From dan Period To nya.

Note: Untk yg No. 4 ini tandanya berarti dia case karyawan mutasi

Terimakasih.

#9 - 06/09/2025 04:40 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , coba di test dulu ya skenario pertama gw kasih tau yang udah ya di cek satu2 pelan2 aja deh biar keliatan

Task Developer:

1. Pop-Up Box. Memunculkan Pop-Up Box ketika user membuka form ESS Goal Setting dengan message kurang lebih seperti berikut "Silahkan
memilih Appraisal Period terlebih dahulu” (done)

2. Kalau bisa button Copy di History Assignment tulisannya diganti menjadi "Select" (done)

package :
bizproc (afterrender)
messagecatalog (PMSGOALINFO)

Untk case tidak ada History Pengajuan di tahun tersebut (misal dia bikin pengajuan yang paling pertama di tahun 2025 [bukan case mutasi]), fungsi
klik button Select di History Assignment tidak perlu digunakan.

Jadi skenarionya kurang lebih seperti berikut:

1. Pilih Appraisal Period (misal 2025)

2. System mengecek apakah karyawan sudah punya data history pengajuan di tahun 2025 (done)
3. Kalau belum, Period From dan Period To otomatis terisi Januari - Desember (done)

package :

bizproc(init & method)

custparam (WFPMSVALHIS)

sekenario no 4 ini setelah ngajuin dan punya data mutasi buatkan data untuk skenario di bawah ini
4. Kalau sudah, Period From dan Period To tetap kosong. Dan user proceed untk mengeklik History Assignment dan klik button Select untk
menentukan Period From dan Period To nya.

makasih

#10 - 06/10/2025 02:57 PM - haykal haykal

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to M Azid Wahyudi

Jid, utk skenario pertama gua test udh sukses. Paling ada perbaikan di menu Performance Appraisalnya aja (Ada di redmine #3661)
Untk data mutasi sudah gua buatkan data Goal Setting January-December 2025 nya.
EmployeelD (mutasi): 00000047

Terimakasih.
#11 - 06/18/2025 04:22 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah bisa di test ya semua sekenario

package:

bizproc(init,method)

custparam (PMSCOPYGOAL49,PMSCOPYGOAL51,PMSGetFrToPeriodPA2)
makasih

#12 - 06/19/2025 02:36 PM - haykal haykal

- File Goal Setting 00000047 di Performance Appraisal.png added

- File Goal Setting January December muncul 2 kali di History Pengajuan.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Dear Azid,

Untk yg case karyawan Mutasi gua 'kan pake EmployeelD 00000047

Gua cek di Performance Appraisal data Goal Settingnya di 2025 cuma ada 1 [Foto 1]

Tapi di form ESSnya di bagian History Pengajuan itu data Goal Settingnya (January-December 2025) ada 2 [Foto 2]

Kenapa begitu ya? Harusnya 'kan yang terload di bagian History Pengajuan itu sama dengan data yang ada di Performance Appraisal. Jadi harusnya
data Goal Setting 2025 di History Pengajuan yg muncul hanya satu saja.

Tolong bantu dicek dan diperbaiki ya.

Terimakasih.

#13 - 06/19/2025 04:39 PM - M Azid Wahyudi

- Assignee changed from M Azid Wahyudi to haykal haykal
coba test lagi ka

package :
custparam(WFPMSHlistoryESS)

makasih
#14 - 06/20/2025 04:25 PM - haykal haykal
- Assignee changed from haykal haykal to M Azid Wahyudi

Dear Azid,

Untk fungsi Copy saat ini hanya menginsert (PHRPA0049 dan PHRPAQ0051). Harusnya mengupdate (mendelete data yang dicopy [yg
January-December])

Tolong dibuat fungsi Copy nya jadi mengupdate ya.

Terimakasih.

#15 - 06/23/2025 04:25 PM - haykal haykal

- File Error 00000047 ketika approve di Goal Setting.png added

Dear Azid,

Tadi gua coba mengapprove Goal Setting January-April (yang merupakan hasil Copy), namun terdapat error (errornya seperti foto yg diattach).
Sesuai hasil diskusi, itu kerena engine U di DataFlag tidak berfungsi.

Jadi minta tolong untk dibikin kondisi.
Untk di PMS_Goal telah saya tambahkan CondUpdateHeaderSeq

Terimakasih.

ReqID: 1384118

#16 - 06/25/2025 06:00 PM - haykal haykal

- File Period From tidak sesuai dengan History Assignment.png added

Dear Azid,

Ada case Period From yg terload tidak sesuai dengan Start Date dari History Assignment yg telah di-Select

Tadi saya memilih History Assignment yg Organization Seksi Pelayanan Non Tunai (foto diattach), lalu saya klik Select. Tapi Period From yg terload

malah April. Padahal harusnya Maret.

Tolong bantu dicek dan diperbaiki ya.

Contoh EmployeelD: 00000761

Terimakasih.

#17 - 06/26/2025 03:43 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
dear haykal , udah bisa di test

note : secenario mutasi ada 2 yaitu beririsan dan tidak beririsan

package :
custparam (PMSGetFrToPeriodPA2)

makasih
